提交货件配送服务
POST
/amzStaServer/openapi/inbound-shipment/setDeliveryService接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/amzStaServer/openapi/inbound-shipment/setDeliveryService | HTTPS | POST | 1 |
请求参数
inboundPlanIdstring必填shipmentDistributionInfoarray<object>必填隐藏子属性
alphaCodestring必填alphaNamestring必填declaredAmountnumberdeclaredCodestringdeliveryWindowOptionIdstring必填endDatestring必填freightClassstringpalletListarray<object>隐藏子属性
heightnumberlengthnumberlengthUnitstringquantityintegerstackabilitystringweightnumberweightUnitstringwidthnumbershipingTimestring必填shipmentIdstring必填shippingModestring必填shippingSolutionstring必填shipperContactobject隐藏子属性
shipperNamestring必填emailstring必填phoneNumberstring必填startDatestring必填transportationOptionIdstring必填transportationModeintegersidinteger必填请求cURL示例
curl --location 'https://openapi.lingxing.com/amzStaServer/openapi/inbound-shipment/setDeliveryService?access_token=value×tamp=value&sign=value&app_key=value' \
--header 'Content-Type: application/json' \
--data '{
"inboundPlanId": "wf0a914e89-d126-4ed9-a093-2078289fed05",
"shipmentDistributionInfo": [{
"alphaCode": "CY0001",
"alphaName": "CY0001-00",
"declaredAmount": 288,
"declaredCode": "申报价值货币",
"deliveryWindowOptionId": "",
"endDate": "2022-12-22",
"freightClass": "货物等级",
"palletList": [{
"height": 5,
"length": 6,
"lengthUnit": "CM",
"quantity": 10,
"stackability": "",
"weight": 20,
"weightUnit": "LB",
"width": "宽"
}],
"shipingTime": "2022-11-10",
"shipmentId": "货件单号",
"shippingMode": "SPD",
"shippingSolution": "USE_YOUR_OWN_CARRIER",
"startDate": "2022-11-22",
"transportationOptionId": "CY0003",
"transportationMode": 1
}],
"sid": 1
}'
返回结果
codeinteger必填messagestring必填errorDetailsarray<any>必填requestIdstring必填responseTimestring必填dataobject必填隐藏子属性
operationIdstring必填返回成功示例
{
"code": 0,
"message": "操作成功",
"errorDetails": [],
"requestId": "3b3d867e7d014971a580549f107c8c5a.1732773886069",
"responseTime": "2024-11-28T14:04:46.069",
"data": {
"operationId": "操作id"
}
}